%global __libtoolize :
%global momorel 4
%global md5sum_src0 795fefbb7099f93e2d346b026785c4b8

Summary: A utility for retrieving files using the HTTP or FTP protocols.
Name: wget
Version: 1.10.2
Release: %{momorel}m
License: GPL
Group: Applications/Internet
%NoSource 0 ftp://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz %{md5sum_src0}

Patch0: wget-1.10.2-CVE-2006-6719.patch

Provides: webclient
Prereq: info
BuildPrereq: openssl-devel >= 0.9.8a
BuildRequires: gettext
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://wget.sunsite.dk/

%description
GNU Wget is a file retrieval utility which can use either the HTTP or
FTP protocols.  Wget features include the ability to work in the
background while you're logged out, recursive retrieval of
directories, file name wildcard matching, remote file timestamp
storage and comparison, use of Rest with FTP servers and Range with
HTTP servers to retrieve files over slow or unstable connections,
support for Proxy servers, and configurability.

Install wget if you need to retrieve large numbers of files with HTTP or
FTP, or if you need a utility for mirroring web sites or FTP directories.

%prep
%setup -q
%patch0 -p1 -b .CVE-2006-6719

%build
%configure
%make

%install
rm -rf %{buildroot}
%makeinstall

%post
/sbin/install-info %{_infodir}/wget.info %{_infodir}/dir

%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --delete %{_infodir}/wget.info %{_infodir}/dir
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS MAILING-LIST NEWS README INSTALL PATCHES doc/ChangeLog
%config /etc/wgetrc
%{_mandir}/man1/wget.*
%{_bindir}/wget
%{_infodir}/*
/usr/share/locale/*/LC_MESSAGES/*

%changelog
* Fri Feb  9 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.10.2-4m)
- [SECURITY] CVE-2006-6719, import security patch from Mandriva

* Tue Apr 18 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.10.2-3m)
- add BuildRequires: gettext for use msgfmt

* Mon Apr 10 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.10.2-2m)
- rebuild against openssl-0.9.8a

* Sun Nov 27 2005 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.10.2-1m)
- version up.

* Mon Aug  8 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.10-2m)
- add a file 'PATCHES'

* Wed Jun 15 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (1.10-1m)
- up to 1.10
- [SECURITY] CAN-2004-1487, CAN-2004-1488

* Thu Nov 11 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (1.9.2-0.20041110.3m)
- updated PF independent patch

* Wed Nov 10 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (1.9.2-0.20041110.2m)
- added wget-cvs-20041110-use_xfree_null.patch

* Wed Nov 10 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (1.9.2-0.20041110.1m)
- update to cvs 20041110
- added protocol family independent patch (just for test)

* Sat May 22 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.9.1-1m)
- update to 1.9.1
- delete Patch12

* Wed Oct 29 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.9-1m)
- update to 1.9
- comment out patch4
- comment out Patch10 since included into tarball
- comment out patch11
- comment out patch13

* Sun May 18 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.8.2-8m)
- revise %%post and %%preun

* Mon Mar 10 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.8.2-7m)
  rebuild against openssl 0.9.7a

* Tue Mar  4 2003 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (1.8.2-6m)
- corrected .netrc parsing bug (wget-1.8.2-netrc.patch)
  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=152990
- added largefile support patch from Eduard Bloch
  (wget-1.8.2-largefile.patch)
  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=137989

* Wed Dec 18 2002 KOMATSU Shinichiro <koma2@jiro.c.u-tokyo.ac.jp>
- (1.8.2-5m)
- [security] add wget-1.8.2-filename.patch to fix
  directory traversal vulnerability.
  https://rhn.redhat.com/errata/RHSA-2002-229.html
- add wget-1.8.2-ht.patch not to make wget segfault
  when URLs are specified more than twice.
  http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=67484

* Thu Jun 13 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (1.8.2-4k)
- update ipv6 patch (Patch4)

* Wed Jun 12 2002 Tadataka Yoshikawa <yosshy@kondara.org>
- (1.8.2-2k)
- update to 1.8.2.

* Mon Apr 30 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (1.8.1-6k)
- Prereq: /sbin/install-info -> info

* Mon Apr  15 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (1.8.1-4k)
  revise ipv6 patch
  (this patch was written by Hiroyuki YAMAMORI <h-yamamo@db3.so-net.ne.jp>)
  add URL tag
  remove strip

* Thu Apr  4 2002 Tsutomu Yasuda <tom@kondara.org>
- (1.8.1-2k)
  update to 1.8.1

* Tue Nov 21 2001 TABUCHI Takaaki <tab@kondara.org>
- (1.7.1-2k)
- update to 1.7.1
- delete man patch
- delete %{eversion}

* Thu Jun  7 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- (1.7-2k)
  update to 1.7

* Wed Mar  7 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (1.6-5k)
- changable IPv6 function with %{_ipv6} macro

* Tue Jan  2 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- update to 1.6

* Wed Oct 25 2000 MATSUDA, Daiki <dyky@df-usa.com>
- modifiled %post and %preun section from .gz to .bz2

* Fri Oct 13 2000 Motonobu Ichimura <famao@kondara.org>
- up to wget-153-20000915.diff.gz (http://www.kame.net)
- updated wget-1.5.3-symlink.patch -> wget-1.5.3-symlink2.patch

* Mon Oct 09 2000 Motonobu Ichimura <famao@kondara.org>
- fixed ja.po ( for converting from EUC-JP to UTF-8 )

* Sat Jul 29 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (1.5.3-9k)
- restruct version against forked

* Sat Jul  8 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.

* Thu Jun 01 2000 KUSUNOKI Masanori <nori@kondara.org>
- Enable IPv6.

* Sun Apr 02 2000 TABUCHI Takaaki <tab@kondara.org>
- merge redhat-6.2 (1.5.3-6).

* Thu Feb  3 2000 Bill Nottingham <notting@redhat.com>
+- handle compressed man pages

* Wed Jan 26 2000 Norihito Ohmori <nono@vinelinux.org>
- fix ja.po

* Thu Jan 20 2000 HIROSE, Masaaki <hirose31@t3.rim.or.jp>
- added getmore.patch. to get files like LINK HREF="XXX".

* Sun Nov 7 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Sat Sep 18 1999 Norihito Ohmori <ohmori@flatout.org>
- add ja.po
- add Japanese Summary and Description

* Thu Aug 26 1999 Jeff Johnson <jbj@redhat.com>
- don't permit chmod 777 on symlinks (#4725).

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 4)

* Fri Dec 18 1998 Bill Nottingham <notting@redhat.com>
- build for 6.0 tree
- add Provides

* Sat Oct 10 1998 Cristian Gafton <gafton@redhat.com>
- strip binaries
- version 1.5.3

* Sat Jun 27 1998 Jeff Johnson <jbj@redhat.com>
- updated to 1.5.2

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- modified group to Applications/Networking

* Wed Apr 22 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 1.5.0
- they removed the man page from the distribution (Duh!) and I added it back
  from 1.4.5. Hey, removing the man page is DUMB!

* Fri Nov 14 1997 Cristian Gafton <gafton@redhat.com>
- first build against glibc
